Go Down

Topic: Sublime Text 3 problemas y soluciones (Read 32006 times) previous topic - next topic

noter

La última versión de arduino que me funcionó perfectamente bajo stino, fue la versión 1.6.0, y eso tras una tarde toqueteando algunas cosillas del plugin (lamentablemente no recuerdo todo lo que hice). Desde que dejé esa versión ya no he podido hacerlo trabajar totalmente. Ahora mismo, lo estoy utilizando porque, como editor, le da cien vueltas al IDE; pero cuando tengo que enlazar librerías un poco complejas tengo que compilar con el IDE, porque no encuentra los recursos y, francamente, no tengo tiempo ni ganas de volver a pelearme con el.

surbyte

Bueno. la respuesta la dio gepd con su desarrollo de DEVIOT. Te lo recomiendo y funciona.
Guillermo es tan habial como tu Serafin. El se maneja mucho en Python. 
Su trabajo con DEVIOT es excelente pero hay que estar muy comprometidoporque todo cambia y evoluciona y hay que corregir cambios y fallas.
De hecho creo que ya las hay con las versiones nuevas de platform.io y el IDE 1.6.7 y 8 no puedo asegurar esto último.
Pero Guillermo (gepd) me digo que x ahora no estaba atendiendo esos problemas.

Asi que como yo habia pasado a IDE 1.6.5 y suelo trabajar mucho con Arduino DUE, choque con esto.
No encuentro algo que resuelva los problemas y creo que sera Eclipse

Como yo lo veo, no te puedes quedar muy atras. 1.6.5 anda bien encontré en un punto que DEVIOT necestiaba 1.6.4 y pase a esta versión. Luego de trabajar con DEVIOT me aburre que tenga que duplicar librerías aunque tiene su ventaja
Le dices.. DHT y te las busca y lo hace con la mas actual.
Le dics lcd y lo mismo. y funcionan perfecto. 

Pero cuando ya tienes librerías con las que te manejas eso es como que no lo quieres y yo por ejemplo quisiera que actuara omo STINO que toma las librerías de la ruta por defecto que tiene el IDE sea donde sea.
Pero no. Tiene su propio lugar asi que repetimos librerías.
Y ahi es donde no comparto, pero lo uso igual
De hecho ahora que STINO no va... o bajo de ide ya que me respondieron en ST y esa es la respuesta, bajar a 1.6.0 o no tengo alternativa.

La otra alternativa es DEVIOT.

surbyte

desde las 16.21 que postee el mensaje anterior hasta este momento, instale DEVIOT, instalé las librerías una por una usando el buscador de librerías y debo reconocer que funciona 10 puntos.
Pude compilar todo usando DUE y con las librerías que necesitaba que repito, descargó en menos de 2 seg cada una y las instaló. Sinceramente criticarlo es demasiado cuando en pocos min resolvi todo.

Sin palabras, asi que corresponde darle una voz de aliento a este ADD-IN que al menos para versiones nuevas funciona bien.
Repito, estoy con 1.6.5 del IDE pero no me preguntó nada de modo que es independiente.

electroGUS

estimados, una consulta , instale st3, el package manager, el package deviot
pero en el menu de st3 no me aparece deviot, esto es en osx.
algún truco para que aparezca, en el directorio veo una carpeta con el package de deviot pero no en la carpeta de paquetes instalados , sino en la "packages" .

alguna idea , ? m gracias
gus

surbyte

Seguiste bien los pasos indicados por Gepd? 
instalaste ST3. Ok
Luego instalaste el DEVIOT en realidad lo descargaste pero no lo instalaste.
Ahora debes ir al menú Preference => Luego  Package Control y luego Install Package
ahi debería aparecer.

cristobalmendoza

Trata de instalar manualmente las actualizaciones, a veces cuando sacan nuevas actualizaciones y se instalan por defecto traen fallos de rendimiento. Yo uso sublime text desde hace varios años para programar en python y me ha ido super bien, el único defecto de sublime es ese. En el caso de que no llegue a ser ese el problema te recomiendo busques los plugins necesarios para que esos problemas se vayan, aqui te anexo un par http://www.escuelapython.com/plugins-esenciales-sublime-text-3-desarrollo-full-stack-python/ que use para python y me fue de maravilla.

Lagger18

Trata de instalar manualmente las actualizaciones, a veces cuando sacan nuevas actualizaciones y se instalan por defecto traen fallos de rendimiento. Yo uso sublime text desde hace varios años para programar en python y me ha ido super bien, el único defecto de sublime es ese. En el caso de que no llegue a ser ese el problema te recomiendo busques los plugins necesarios para que esos problemas se vayan, aqui te anexo un par http://www.escuelapython.com/plugins-esenciales-sublime-text-3-desarrollo-full-stack-python/ que use para python y me fue de maravilla.
Yo creo que en 2 años desde q publicó en post, ha tenido tiempo de arreglarlo :P

VictorL

#82
Mar 19, 2018, 04:04 pm Last Edit: Mar 19, 2018, 04:14 pm by VictorL
http://www.telefono-gratuito.es

Trata de instalar manualmente las actualizaciones, a veces cuando sacan nuevas actualizaciones y se instalan por defecto traen fallos de rendimiento. Yo uso sublime text desde hace varios años para programar en python y me ha ido super bien, el único defecto de sublime es ese. En el caso de que no llegue a ser ese el problema te recomiendo busques los plugins necesarios para que esos problemas se vayan, aqui te anexo un par


¿Y no hay uno mejor para programar en phython? a mi el sublime me convence para hacer pruebas y poco mas

surbyte

Quote
¿Y no hay uno mejor para programar en phython?
Si esa es tu consulta entonces este no es el foro.

Si te malentendí explícate mejor para que al menos yo te comprenda.

Ademas cónsultas de Software, se hacen en la sección Software no en un tutorial como los que se presentan en esta sección Documentación.

caramelito

¿Y no hay uno mejor para programar en phython? a mi el sublime me convence para hacer pruebas y poco mas
¿Qué SO usas? Yo llevo un tiempo combinando sublime con Vim (por si quieres más info) es un editor basado en Linux y me parece que está bastante bien. ¿Con qué otros editores sueles programar y qué funciones buscas exactamente?

Go Up